import { MouseEventHandler } from 'react';
export declare function eventHandler(node: Document | HTMLElement, eventType: keyof DocumentEventMap, listener: (e: MouseEvent) => void): {
    remove: () => void;
};
export declare class Event<T = any> {
    events: {};
    on(name: string, handler: (data: unknown) => void): void;
    fire(name: string, data: T): void;
    un(name: string, handler: (data: unknown) => void): void;
}
export declare const stopNextEvent: MouseEventHandler;
